Delete a SIP trunk gateway
DELETE
/v1/voice/trunks/{trunk_id}/gateways/{gateway_id}
await bird.voice.trunks.gateways.delete("TRUNK_ID", "GATEWAY_ID");client.voice.trunks.gateways.delete("TRUNK_ID", "GATEWAY_ID")if err := client.Voice.Trunks.Gateways.Delete(context.Background(), "TRUNK_ID", "GATEWAY_ID"); err != nil {
log.Fatal(err)
}$bird->voice->trunks->gateways->delete('TRUNK_ID', 'GATEWAY_ID');bird voice trunks gateways delete <trunk-id> <gateway-id> --yescurl -X DELETE "https://us1.platform.bird.com/v1/voice/trunks/{trunk_id}/gateways/{gateway_id}" \
-H "Authorization: Bearer $TOKEN"Removes the gateway. Calls already ringing this address are not affected. Removing the last gateway prevents inbound delivery until a gateway is added again; it does not change the trunk's direction settings. The trunk must have inbound calling enabled, otherwise this returns 412 Precondition Failed.
Paramètres
trunk_id
string
gateway_id
string
Ressources associées
Poursuivez avec la documentation, les guides et les exemples sur ce sujet. Les ressources sont en anglais.
Comprendre le conceptShould I use a Bird SDK or call the API directly?Suivre le parcours d'apprentissageBuild your first integrationGuide d'implémentationSend your first email
Obtenir un guide d'implémentation